package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class QchjcAccountingScoreCustomerEntity {
    private Long id;

    private Long unifiedId;

    private String accountingOrderSn;

    private String serviceNo;

    private BigDecimal accountingAmount;

    private BigDecimal statisticsTotalAmount;

    private BigDecimal unAccountingAmount;

    private BigDecimal jcUnAccountingAmount;

    private Integer accountingStatus;

    private Integer invoiceType;

    private Integer invoiceStatus;

    private String invoiceCompanyName;

    private String invoiceTaxpayersIDCode;

    private String enterpriseId;

    private String purchaseUserId;

    private String purchaseUserName;

    private String purchasePhone;

    private String purchaseAddress;

    private String purchaseEmail;

    private String purchaseVirtId;

    private String purchaseVirtName;

    private Integer isSendEmail;

    private Date sendEmailTime;

    private Integer dateType;

    private Date startTime;

    private Date endTime;

    private Integer backAccountStatus;

    private Long bankInfoId;

    private Date createTime;

    private String createUserId;

    private String createUserName;

    private Date updateTime;

    private String updateUserId;

    private String updateUserName;

    private Integer payType;

    private Integer payStatus;

    private String wxQrcodeImgUrl;

    private Integer deleted;

    private String remark;

    private Date syncTime;

    private Integer storageStatus;

    private String storageReason;

    private Date storageTime;

    private Integer invoiceCount;

    private Integer receiveInvoiceStatus;

    private Integer orderGoodsCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public String getServiceNo() {
        return serviceNo;
    }

    public void setServiceNo(String serviceNo) {
        this.serviceNo = serviceNo;
    }

    public BigDecimal getAccountingAmount() {
        return accountingAmount;
    }

    public void setAccountingAmount(BigDecimal accountingAmount) {
        this.accountingAmount = accountingAmount;
    }

    public BigDecimal getStatisticsTotalAmount() {
        return statisticsTotalAmount;
    }

    public void setStatisticsTotalAmount(BigDecimal statisticsTotalAmount) {
        this.statisticsTotalAmount = statisticsTotalAmount;
    }

    public BigDecimal getUnAccountingAmount() {
        return unAccountingAmount;
    }

    public void setUnAccountingAmount(BigDecimal unAccountingAmount) {
        this.unAccountingAmount = unAccountingAmount;
    }

    public BigDecimal getJcUnAccountingAmount() {
        return jcUnAccountingAmount;
    }

    public void setJcUnAccountingAmount(BigDecimal jcUnAccountingAmount) {
        this.jcUnAccountingAmount = jcUnAccountingAmount;
    }

    public Integer getAccountingStatus() {
        return accountingStatus;
    }

    public void setAccountingStatus(Integer accountingStatus) {
        this.accountingStatus = accountingStatus;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getInvoiceCompanyName() {
        return invoiceCompanyName;
    }

    public void setInvoiceCompanyName(String invoiceCompanyName) {
        this.invoiceCompanyName = invoiceCompanyName;
    }

    public String getInvoiceTaxpayersIDCode() {
        return invoiceTaxpayersIDCode;
    }

    public void setInvoiceTaxpayersIDCode(String invoiceTaxpayersIDCode) {
        this.invoiceTaxpayersIDCode = invoiceTaxpayersIDCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPurchaseUserId() {
        return purchaseUserId;
    }

    public void setPurchaseUserId(String purchaseUserId) {
        this.purchaseUserId = purchaseUserId;
    }

    public String getPurchaseUserName() {
        return purchaseUserName;
    }

    public void setPurchaseUserName(String purchaseUserName) {
        this.purchaseUserName = purchaseUserName;
    }

    public String getPurchasePhone() {
        return purchasePhone;
    }

    public void setPurchasePhone(String purchasePhone) {
        this.purchasePhone = purchasePhone;
    }

    public String getPurchaseAddress() {
        return purchaseAddress;
    }

    public void setPurchaseAddress(String purchaseAddress) {
        this.purchaseAddress = purchaseAddress;
    }

    public String getPurchaseEmail() {
        return purchaseEmail;
    }

    public void setPurchaseEmail(String purchaseEmail) {
        this.purchaseEmail = purchaseEmail;
    }

    public String getPurchaseVirtId() {
        return purchaseVirtId;
    }

    public void setPurchaseVirtId(String purchaseVirtId) {
        this.purchaseVirtId = purchaseVirtId;
    }

    public String getPurchaseVirtName() {
        return purchaseVirtName;
    }

    public void setPurchaseVirtName(String purchaseVirtName) {
        this.purchaseVirtName = purchaseVirtName;
    }

    public Integer getIsSendEmail() {
        return isSendEmail;
    }

    public void setIsSendEmail(Integer isSendEmail) {
        this.isSendEmail = isSendEmail;
    }

    public Date getSendEmailTime() {
        return sendEmailTime;
    }

    public void setSendEmailTime(Date sendEmailTime) {
        this.sendEmailTime = sendEmailTime;
    }

    public Integer getDateType() {
        return dateType;
    }

    public void setDateType(Integer dateType) {
        this.dateType = dateType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getBackAccountStatus() {
        return backAccountStatus;
    }

    public void setBackAccountStatus(Integer backAccountStatus) {
        this.backAccountStatus = backAccountStatus;
    }

    public Long getBankInfoId() {
        return bankInfoId;
    }

    public void setBankInfoId(Long bankInfoId) {
        this.bankInfoId = bankInfoId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public String getWxQrcodeImgUrl() {
        return wxQrcodeImgUrl;
    }

    public void setWxQrcodeImgUrl(String wxQrcodeImgUrl) {
        this.wxQrcodeImgUrl = wxQrcodeImgUrl;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public String getStorageReason() {
        return storageReason;
    }

    public void setStorageReason(String storageReason) {
        this.storageReason = storageReason;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    public Integer getInvoiceCount() {
        return invoiceCount;
    }

    public void setInvoiceCount(Integer invoiceCount) {
        this.invoiceCount = invoiceCount;
    }

    public Integer getReceiveInvoiceStatus() {
        return receiveInvoiceStatus;
    }

    public void setReceiveInvoiceStatus(Integer receiveInvoiceStatus) {
        this.receiveInvoiceStatus = receiveInvoiceStatus;
    }

    public Integer getOrderGoodsCount() {
        return orderGoodsCount;
    }

    public void setOrderGoodsCount(Integer orderGoodsCount) {
        this.orderGoodsCount = orderGoodsCount;
    }
}